LOGGER(1)

NAMN
logger - mata in meddelanden i systemloggen

SYNOPSIS

logger [flaggor] message

BESKRIVNING

logger gör noteringar i systemloggen.

När det valfria argumentet message finns med skrivs det till loggen. Om det inte finns och flaggan -f inte heller har angetts loggas standardinmatningen.

FLAGGOR

-d, --udp
    Använd endast datagram (UDP). Som standard försöker anslutningen till syslog-porten som definieras i /etc/services, vilket ofta är 514.

    Se även --server och --socket för att ange var du ska ansluta.

-e, --skip-empty
    Ignorera tomma rader vid bearbetning av filer. En tom rad definieras som en rad utan några tecken. En rad som bara består av blanksteg betraktas alltså INTE som tom. Observera att när flaggan --prio-prefix anges är prioriteten inte en del av raden. En tom rad i det här läget är alltså en rad som inte har några tecken efter prioritetsprefixet (t.ex. <13>).

-f, --file fil
    Loggar innehållet i den angivna filen. Denna flagga kan inte kombineras med ett kommandoradsmeddelande.

-i
    Logga PID för logger-processen med varje rad.

--id[=id]
    Loggar PID för logger-processen med varje rad. Om det valfria argumentet id anges används det i stället för kommandot logger:s PID. Användningen av --id=$$ (PPID) rekommenderas i skript som skickar flera meddelanden.

    Note that the system logging infrastructure (for example systemd when listening on /dev/log) may follow local socket credentials to override the PID specified in the message. logger(1) is able to set those socket credentials to the given id, but only if you have root permissions and a process with the specified PID exists, otherwise the socket credentials are not modified and the problem is silently ignored.

--journald[=fil]
    Skriv en systemd-journalpost. Posten läses från den angivna filen, om en sådan anges, annars från standardinmatningen. Varje rad måste börja med ett fält som accepteras av journald; se systemd.journal-fields(7) för detaljer. Det är i allmänhet en god idé att använda ett MESSAGE_ID-fält, eftersom det gör det lättare att hitta poster. Exempel på fält:

            logger --journald <<slut
            MESSAGE_ID=67feb6ffbaf24c5cbec13c008dd72309
            MESSAGE=Hundarna skäller, men karavanen fortsätter.
            HUNDARNA=skäller
            CARAVAN=går vidare
            slut

            logger --journald=inlägg.txt

    Observera att --journald kommer att ignorera värden för andra flaggor, t.ex. prioritet. Om prioritet behövs måste den finnas i indata och fältet PRIORITY användas. En enkel körning av journalctl(1) kommer att visa fältet MESSAGE. Använd journalctl --output json-pretty för att se resten av fälten.

    För att inkludera nya linjer i MESSAGE, ange MESSAGE flera gånger. Detta hanteras som ett specialfall, andra fält kommer att lagras som en matris i journalen om de förekommer flera gånger.

--msgid msgid
    Anger fältet MSGID. Observera att mellanslagstecken inte är tillåtet inuti msgid. Den här flaggan används bara om --rfc5424 också anges, annars ignoreras det.

-n, --server server
    Skriv till den angivna fjärranslutna syslog server i stället för till systemets logguttag. Om inte --udp eller --tcp anges kommer logger först att försöka använda UDP, men om detta misslyckas kommer en TCP-anslutning att försöka.

--no-act
    Gör att allt görs utom att skriva loggmeddelandet till systemloggen och ta bort anslutningen till journalen. Denna flagga kan användas tillsammans med --stderr för teständamål.

--octet-count
    Använd metoden octet counting framing för att skicka meddelanden. Om den här flaggan inte används är standardinställningen ingen framing för UDP och RFC6587 icke-transparent framing (även känd som oktettfyllning) för TCP.

-P, --port port
    Använd den angivna porten. Om den här flaggan inte anges är standardporten syslog för udp-anslutningar och syslog-conn för tcp-anslutningar.

-p, --priority priority
    Skriv in meddelandet i loggen med angiven prioritet. Prioriteten kan anges numeriskt eller som ett par av typen facilitet.nivå. Exempel: -p local3.info loggar meddelandet som informativt i local3-faciliteten. Standardvärdet är user.notice.

--prio-prefix
    Leta efter ett syslog-prefix på varje rad som läses från standardinmatningen. Prefixet är ett decimaltal inom vinkelparenteser som kodar både faciliteten och nivån. Siffran konstrueras genom att multiplicera faciliteten med 8 och sedan lägga till nivån. Till exempel blir local0.info, som betyder facility=16 och level=6, <134>.

    Om prefixet inte innehåller någon facilitet är standardfaciliteten den som anges med flaggan -p. På samma sätt, om inget prefix anges, loggas raden med den prioritet som anges med -p.

    This option doesn’t affect a command-line message. This option is primarily designed for use cases where logger is used in a pipeline (e.g., daemon | logger --prio-prefix) to read multiple messages with different priorities.

--rfc3164
    Använd BSD syslog-protokollet för att skicka meddelanden till en fjärrserver.

--rfc5424[=without]
    Använd syslog-protokollet för att skicka meddelanden till en fjärrserver. Det valfria argumentet without kan vara en kommaseparerad lista med följande värden: notq, notime, nohost.

    Värdet notq undertrycker de strukturerade uppgifterna om tidskvalitet i det skickade meddelandet. Informationen om tidskvaliteten visar om den lokala klockan var synkroniserad plus det maximala antalet mikrosekunder som tidsstämpeln kan avvika. Tidskvaliteten undertrycks också automatiskt när --sd-id timeQuality anges.

    Värdet notime (vilket innebär notq) undertrycker den fullständiga avsändartidsstämpeln i ISO-8601-format, inklusive mikrosekunder och tidszon.

    Värdet nohost undertrycker gethostname(2)-information från meddelanderubriken.

    RFC 5424-protokollet har varit standard för logger sedan version 2.26.

-s, --stderr
    Output the message to standard error as well as to the system log. The complete message is output in the same form as sent to syslog or journald, including priority and possibly other fields. This option is primarily designed for debugging purposes and is often used with --no-act.

--sd-id namn[@digits]
    Anger ett ID för ett strukturerat dataelement för ett RFC 5424-meddelandehuvud. Flaggan måste användas före --sd-param för att införa ett nytt element. Antalet strukturerade dataelement är obegränsat. ID (namn plus eventuellt @siffror) är skiftlägeskänsligt och identifierar unikt typen av och syftet med elementet. Samma ID får inte förekomma mer än en gång i ett meddelande. Delen @digits krävs för användardefinierade icke-standardiserade ID.

    logger genererar för närvarande endast det standardiserade elementet timeQuality. RFC 5424 beskriver även elementen origin (med parametrarna ip, enterpriseId, software och swVersion) och meta (med parametrarna sequenceId, sysUpTime och language). Dessa element-ID:n kan anges utan suffixet @digits.

--sd-param namn=värde
    Anger en parameter för ett strukturerat dataelement, ett namn- och värdepar. Flaggan måste användas efter --sd-id och kan anges mer än en gång för samma element. Observera att citattecknen runt värde är obligatoriska och måste escapas på kommandoraden.

            logger --rfc5424 --sd-id zoo@123 \
                             --sd-param tiger="hungrig" \
                             --sd-param zebra="springer" \
                             --sd-id manager@123 \
                             --sd-param onMeeting="ja" \
                             "detta är meddelandet"

    producerar:

    <13>1 2015-10-01T14:07:59.168662+02:00 ws kzak - - [timeQuality tzKnown="1" isSynced="1" syncAccuracy="218616"][zoo@123 tiger="hungrig" zebra="springer"][manager@123 onMeeting="yes"] detta är meddelande

-S, --size storlek
    Ställer in den maximalt tillåtna meddelandestorleken till storlek. Standardvärdet är 1KiB tecken, vilket är den gräns som traditionellt används och som anges i RFC 3164. I och med RFC 5424 har denna gräns blivit flexibel. Ett bra antagande är att RFC 5424-mottagare åtminstone kan bearbeta 4KiB-meddelanden.

    De flesta mottagare accepterar meddelanden som är större än 1KiB över alla typer av syslogprotokoll. Därför påverkar flaggan --size logger i samtliga fall (inte bara när --rfc5424 användes).

    Obs: Gränsen för meddelandestorlek begränsar den totala storleken på meddelandet, inklusive syslog-huvudet. Headerstorleken varierar beroende på de valda flaggorna och värdnamnets längd. Som en tumregel är rubrikerna vanligtvis inte längre än 50 till 80 tecken. När du väljer en maximal meddelandestorlek är det viktigt att se till att mottagaren också stöder den maximala storleken, annars kan meddelanden bli avkortade. Återigen, som en tumregel bör två till fyra KiB meddelandestorlek i allmänhet vara OK, medan allt som är större bör verifieras för att fungera.

--socket-errors läge
    Skriv ut fel om Unix-uttagsanslutningar. läge kan vara on, off eller auto. När läget är auto (standard) kommer logger att upptäcka om startprocessen är systemd(1), och om så är fallet antas att /dev/log kan användas tidigt vid uppstarten. Avsaknaden av /dev/log i andra startsystem kommer inte att orsaka fel, precis som vid användning av systemanropet openlog(3). logger(1) före version 2.26 använde openlog(3) och kunde därför inte upptäcka att meddelanden som skickades till Unix-socklar försvann.

    När fel inte är aktiverade kommuniceras inte förlorade meddelanden, vilket resulterar i en lyckad utgångsstatus på logger(1).

-T, --tcp
    Använd endast stream (TCP). Som standard försöker anslutningen till syslog-conn-porten som definieras i /etc/services, som ofta är 601.

    Se även --server och --socket för att ange var du ska ansluta.

-t, --tag tagg
    Markera varje rad som ska loggas med den angivna taggen. Standardtaggen är namnet på den användare som är inloggad på terminalen (eller ett användarnamn som baseras på det faktiska användar-ID:t).

-u, --socket uttag
    Skriv till det angivna uttag istället för till systemets logg-socket.

--
    Avsluta argumentlistan. Detta gör att message kan börja med ett bindestreck (-).

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

Verktyget logger avslutas med 0 om det lyckas och >0 om ett fel inträffar.

FACILITETER OCH NIVÅER

Giltiga facilitetsnamn är:

auth
authpriv för säkerhetsinformation av känslig karaktär
cron

daemon
ftp
kern kan inte genereras från userspace-process, konverteras automatiskt till user

lpr
mail
news
syslog
user
uucp
local0
to
local7
security föråldrad synonym för auth

Giltiga nivånamn är:

emerg
alert
crit
err
warning
notice
info
debug
panic föråldrad synonym för emerg
error föråldrad synonym för err
warn föråldrad synonym för warning

För prioritetsordning och avsedda syften för dessa funktioner och nivåer, se syslog(3).

I ÖVERENSSTÄMMELSE MED

Kommandot logger förväntas vara kompatibelt med IEEE Std 1003.2 ("POSIX.2").

EXEMPEL

    logger System omstartat

    logger -p local0.notice -t HOSTIDM -f /dev/idmc

    logger -n loghost.example.com Systemet startas om

UPPHOVSPERSONER

Kommandot logger skrevs ursprungligen av University of California 1983-1993 och har senare omskrivits av och

SE ÄVEN

journalctl(1), syslog(3), systemd.journal-fields(7)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot logger ingår i paketet util-linux som kan hämtas från